Skip to navigation

List compute assets.

View as Markdown
Use to retrieve a list of compute assets.

Authentication

AuthorizationBearer
Bearer authentication

Query parameters

namestringOptional
Filter results by name.
scopestringOptional

Filters results by scope. Returns only assets that belong to the specified scope. Mutually exclusive with includeDescendants. Valid values: tenant, cluster, department, project.

projectIdintegerOptional
Filter results by project id. If scope filter is project, only assets from the specific project will be included in the response. Otherwise, the response will include project, department, cluster, tenant and system assets.
departmentIdstringOptional
Filter results by department id. If scope filter is department, only assets from the specific department will be included in the response. Otherwise, the response will include department, cluster, tenant and system assets.
clusterIdstringOptionalformat: "uuid"

Filter results by Universally Unique Identifier (UUID) of the cluster. If scope filter is cluster, only assets from the specific cluster will be included in the response. Otherwise, the response will include cluster, tenant and system assets.

usageInfobooleanOptional
Whether the query should include asset usage information as part of the response.
complyToProjectintegerOptional
Include workload creation compliance information of an asset, for a given project, as part of the response. To check compliance, you need to provide both project id and workload type.
complyToWorkloadTypeenumOptional
Include workload creation compliance information of an asset, for a given workload type, as part of the response. To check compliance, you need to provide both project id and workload type.
Allowed values:
complyToReplicaTypeenumOptional
Include workload creation compliance information of an asset, for a given replica type, as part of the response. To check compliance, you need to provide both project id and workload type. For distributed, replica type should be provided as well.
Allowed values:
includeDescendantsbooleanOptional

Indicates whether to include assets from all descendant scopes under the specified scope. When set to true, and a specific scope identifier (for example, clusterId) is provided, the query also returns assets from all nested scopes within it (for example, departments and projects). Mutually exclusive with scope.

Response

Request completed successfully.
entrieslist of objects

Errors

401
Unauthorized Error
403
Forbidden Error
503
Service Unavailable Error